summaryrefslogtreecommitdiffstatshomepage
path: root/py/py-version.sh
diff options
context:
space:
mode:
authorDave Hylands <dhylands@gmail.com>2014-04-03 16:32:58 -0700
committerDave Hylands <dhylands@gmail.com>2014-04-03 16:55:15 -0700
commitbf7d690e36f200c429b82b1eba0102675bfe4aa4 (patch)
tree8c7354fbd532ceab9dce537820eef9c690ba9a5f /py/py-version.sh
parent5bf565e353b73bc87e0b918368dadac701644078 (diff)
downloadmicropython-bf7d690e36f200c429b82b1eba0102675bfe4aa4.tar.gz
micropython-bf7d690e36f200c429b82b1eba0102675bfe4aa4.zip
Add the git version to the banner
Diffstat (limited to 'py/py-version.sh')
-rwxr-xr-xpy/py-version.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/py/py-version.sh b/py/py-version.sh
new file mode 100755
index 0000000000..f574b574f4
--- /dev/null
+++ b/py/py-version.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+git_hash="$(git rev-parse --short HEAD 2> /dev/null || echo unknown)"
+git_files_are_clean=1
+# Check if there are any modified files.
+git diff --no-ext-diff --quiet --exit-code 2> /dev/null || git_files_are_clean=0
+# Check if there are any staged files.
+git diff-index --cached --quiet HEAD -- 2> /dev/null || git_files_are_clean=0
+if [ "${git_files_are_clean}" != "1" ]; then
+ git_hash="${git_hash}-dirty"
+fi
+cat <<EOF
+// This file was generated by py/py-version.sh
+#define MICROPY_GIT_HASH "${git_hash}"
+#define MICROPY_BUILD_DATE "$(date '+%Y-%m-%d')"
+EOF